> ## Documentation Index
> Fetch the complete documentation index at: https://docs.llmgenerator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 발견된 URL 목록

> 발견 작업에서 찾은 URL 목록을 반환하는 엔드포인트입니다.

## GET /discovery/{discoveryId}/urls

특정 발견 작업이 찾은 URL 목록을 반환합니다. 호출 전에 작업이 완료되어 있어야 합니다.

### 경로 매개변수

<ParamField path="discoveryId" type="string" required>
  발견 작업 ID입니다.
</ParamField>

### 쿼리 매개변수

<ParamField query="page" type="number" default="1">
  페이지네이션용 페이지 번호입니다.
</ParamField>

<ParamField query="limit" type="number" default="50">
  페이지당 URL 수입니다(최대 100).
</ParamField>

### 응답

<ResponseField name="urls" type="array">
  발견된 URL 객체 배열입니다.

  <Expandable title="URL 속성">
    <ResponseField name="url" type="string">
      발견된 URL입니다.
    </ResponseField>

    <ResponseField name="title" type="string">
      페이지 제목(있는 경우)입니다.
    </ResponseField>

    <ResponseField name="lastModified" type="string">
      사이트맵상 마지막 수정일(있는 경우)입니다.
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="total" type="number">
  발견된 URL 총 개수입니다.
</ResponseField>

<ResponseField name="page" type="number">
  현재 페이지 번호입니다.
</ResponseField>

<ResponseField name="totalPages" type="number">
  전체 페이지 수입니다.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X GET "https://api.llmgenerator.com/api/v1/discovery/550e8400-e29b-41d4-a716-446655440000/urls?limit=20" \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.llmgenerator.com/api/v1/discovery/550e8400-e29b-41d4-a716-446655440000/urls',
    {
      headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
    }
  );

  const data = await response.json();
  ```
</RequestExample>

<ResponseExample>
  ```json Success (200) theme={null}
  {
    "urls": [
      {
        "url": "https://example.com/",
        "title": "Example Domain - Home",
        "lastModified": "2026-01-15T00:00:00.000Z"
      },
      {
        "url": "https://example.com/about",
        "title": "About Us",
        "lastModified": "2026-01-10T00:00:00.000Z"
      },
      {
        "url": "https://example.com/contact",
        "title": "Contact",
        "lastModified": null
      }
    ],
    "total": 47,
    "page": 1,
    "totalPages": 3
  }
  ```
</ResponseExample>
